Subject: [Roll] FW: New Version Notification for draft-ietf-roll-dao-projection-06.txt

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Fri, 24 May 2019 15:48:29 +0000

Dear all:

As discussed in earlier mails, this update proposes a new flag in the RPI to identify a projected route and a new RFC 8138 elective compressed form for the RPI to go with it. The new ERPI-6LoRH is smaller than the RPI-6LoRH because the Rank and related flags are elided.

Comments welcome as usual!

Pascal

-----Original Message-----
From: [email-masked] <[email-masked]> 
Sent: vendredi 24 mai 2019 17:44
To: James Pylakutty (mundenma) <[email-masked]>; Pascal Thubert (pthubert) <[email-masked]>; Rahul Jadhav <[email-masked]>; Rahul Arvind Jadhav <[email-masked]>; Matthew Gillmore <[email-masked]>
Subject: New Version Notification for draft-ietf-roll-dao-projection-06.txt

A new version of I-D, draft-ietf-roll-dao-projection-06.txt
has been successfully submitted by Pascal Thubert and posted to the IETF repository.

Name:		draft-ietf-roll-dao-projection
Revision:	06
Title:		Root initiated routing state in RPL
Document date:	2019-05-24
Group:		roll
Pages:		25
URL:            https://www.ietf.org/internet-drafts/draft-ietf-roll-dao-projection-06.txt
Status:         https://datatracker.ietf.org/doc/draft-ietf-roll-dao-projection/
Htmlized:       https://tools.ietf.org/html/draft-ietf-roll-dao-projection-06
Htmlized:       https://datatracker.ietf.org/doc/html/draft-ietf-roll-dao-projection
Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-roll-dao-projection-06

Abstract:
   This document extends RFC 6550, RFC 6553 and RFC 8138 and enable to
   install a limited amount of centrally-computed routes in a RPL graph,
   enabling loose source routing down a non-storing mode DODAG, or
   transversal routes inside the DODAG.  In constrast with classical
   routes in RPL that are injected by the end devices, this draft
   enables the root of the DODAG to projects the routes that are needed
   on the nodes where they should be installed.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

---

From: "Li Zhao (liz3)" <[email-masked]>
Date: Mon, 27 May 2019 05:34:48 +0000

Hello Pascal,

For section 3.3 <RPI for Projected Routes>, does storing-PDAO still need the 'F' flag to indicate "node cannot forward the packet further towards the destination"?

And I have a concern about when to use PDAO? It's hard to use PDAO for all p2p traffic because of capability.
There are two ways to run PDAO.
1.	Root decides which traffic to use PDAO and inject PDAO to node. The special traffic (identify by source/dest address, port, protocol) may be pre-configure or generated by root dynamically. 
2.	Node decides which traffic need to use PDAO to optimize throughput and latency. It usually happens when the application in node need heavy p2p traffic. 
But in the second case, there is no mechanism to request PDAO from root. 
Is it possible to define some command for requesting PDAO injection? Maybe a new kind of DIO or DAO.

Best regards,
Li

On 2019/5/24, 11:48 PM, "Pascal Thubert (pthubert)" <[email-masked]> wrote:

    Dear all:

    
    Pascal
    
    -----Original Message-----
    From: [email-masked] <[email-masked]> 
    Sent: vendredi 24 mai 2019 17:44
    To: James Pylakutty (mundenma) <[email-masked]>; Pascal Thubert (pthubert) <[email-masked]>; Rahul Jadhav <[email-masked]>; Rahul Arvind Jadhav <[email-masked]>; Matthew Gillmore <[email-masked]>
    Subject: New Version Notification for draft-ietf-roll-dao-projection-06.txt

    
    Abstract:

    
    
    The IETF Secretariat